#ifndef MY_RTEMS_SETTINGS
#define MY_RTEMS_SETTINGS

#include <bsp.h>
#define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
#define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
//#define CONFIGURE_APPLICATION_NEEDS_TIMER_DRIVER
#define CONFIGURE_MICROSECONDS_PER_TICK 1000 /* 1 millisecond */
#define CONFIGURE_TICKS_PER_TIMESLICE 50 /* 50 milliseconds */

#define CONFIGURE_UNIFIED_WORK_AREAS
#define CONFIGURE_UNLIMITED_OBJECTS

#define CONFIGURE_MAXIMUM_SEMAPHORES 20
#define CONFIGURE_MAXIMUM_POSIX_TIMERS 16 
#define CONFIGURE_MAXIMUM_POSIX_CONDITION_VARIABLES 10
#define CONFIGURE_MAXIMUM_POSIX_MESSAGE_QUEUES 10 
#define CONFIGURE_MAXIMUM_POSIX_QUEUED_SIGNALS 40


#define CONFIGURE_MAXIMUM_POSIX_THREADS 5 
#define CONFIGURE_MAXIMUM_POSIX_MUTEXES 10
#define CONFIGURE_MAXIMUM_POSIX_SEMAPHORES 10

#define CONFIGURE_POSIX_INIT_THREAD_ENTRY_POINT   POSIX_Init
#define CONFIGURE_POSIX_INIT_THREAD_TABLE
#define CONFIGURE_POSIX_INIT_THREAD_STACK_SIZE 2*RTEMS_MINIMUM_STACK_SIZE 
#define CONFIGURE_INIT

#define CONFIGURE_SMP_APPLICATION
#define CONFIGURE_SMP_MAXIMUM_PROCESSORS 4
#define CONFIGURE_SCHEDULER_PRIORITY_AFFINITY_SMP

#define CONFIGURE_INIT_TASK_ATTRIBUTES RTEMS_FLOATING_POINT

void* POSIX_Init(void* argument);

#include <rtems/confdefs.h>

#define N 1000
#define MEGEXTRA 1000000

#include <pthread.h>

#endif

