#!/bin/bash
EXPECTED_ARGS=1
E_BADARGS=65
E_NOFILE=66

if [ $# -ne $EXPECTED_ARGS ]
then
  echo ""
  echo "-----------------------"
  echo " `basename $0`         "
  echo "-----------------------"
  echo ""  
  echo "Usage: `basename $0` <TEXT-FILE--LEON4--Gantt-info>"
  echo ""
  exit $E_BADARGS
fi

if [[ ! -f "$1" ]]
then
    echo "File $1 does not exist!"
    exit $E_NOFILE
fi


FROM_DIR=$(pwd)
mkdir $MEASGANTT_DIR/TEMP
cp $1 $MEASGANTT_DIR/TEMP

cd    $MEASGANTT_DIR/TEMP
cp    ../* .

F=$(basename $1)

sed -i 's/^.*[[:space:]]\([0-9][0-9]*[[:space:]][[:space:]]*[0-9][0-9]*[[:space:]][[:space:]]*[0-9][0-9]*[[:space:]][[:space:]]*P.*\)/\1/g' $F
grep  "P[1-9].* - ET=" ${F} |  grep  --invert-match " 0 " > ${F}.filtered
sed -i 's/ - ET.*//g' ${F}.filtered
java Generate ${F}.filtered ${F}.picture selectColors.cfg
vim ${F}.picture 
gnuplot prePlotPdf.gpl ${F}.picture postPlotPdf.gpl
mv temp-output.pdf ${F}.pdf

cp ${F}.pdf ${FROM_DIR}
cd ../
rm -rf TEMP
#kolourpaint output.png &
