#ifndef BIPTHREAD_H
#define BIPTHREAD_H

#include "thread.h"

#define BIP_THREAD_NAME "bipthread"

/**
 *  BIP engine thread: contains atoms
 *  running in the same thread as the BIP engine itself.
 *
 *  Note that this thread is missing if no atoms are mapped 
 *  to it. 
 **/
 
class BipThread : public SThread {

    public:
        BipThread(const char* name, Scheduler* scheduler);
        virtual ~BipThread();

        static bool  isBipThreadName(const char* name);

        void startAtoms(); // at start, notify all atom ports 
        void triggerAtom(Port* port); // execute port in bipthread

        bool checkAndHandleFormerSlaves();

        inline void clearNotifiedAtoms() { SThread::mNotifiedAtoms.clear(); }
        inline atoms_type& notifiedAtoms() { return mNotifiedAtoms; }

    private:
        void executeNotifiedInternalPorts(atoms_type::iterator* startFrom=NULL);
};
#endif
