#ifndef SCE_UTIL
#define SCE_UTIL
#include <set>
#include <string>

class Connector;
class Port;
class Component;
class Compound;
class Atom;

#ifdef NEED_STRDUP

char* strdup(const char* src);
#endif


namespace Util {

    /**********************
        Set
            a simple extension of standard std::set 
     **********************/
    template <class T>
    class Set : public std::set<T> {
    public:
        bool contains(const T& x) {
                return std::set<T>::find(x)!=std::set<T>::end();
        }

    };

    std::string toString(Component* compo);
    std::string toString(Connector* conn);
    std::string toString(Port* port);

    Component* findComponentByName ( Compound* compound, const std::string& name);
    Component* findComponentByPath(Compound* subsystem, const std::string& path);
    Port* findAtomPortByName ( Atom* atom, const std::string& name);
    Port* findAtomPortByPath(Compound* subsystem, const std::string& path);
}
#endif
