#!/bin/bash

#==========  Generate sourceme.rc ================
echo ""
echo ""
echo "------------------------"

cd ./installation
make clean
make
cp sourceme.rc ../
echo "------------------------"

source sourceme.rc

#======= Just in case, fix the TASTE examples (paths in data view) =====
(cd ${TS2BIP_ROOT}/examples/sqexample; echo "In ${PWD}:"; taste-update-data-view)
(cd ${TS2BIP_ROOT}/examples/parallelproc; echo "In ${PWD}:"; taste-update-data-view)

#========  Architecture-dependent settings =====
if [[ $(getconf LONG_BIT) == "64" ]]; then
    echo "This is a 64 bit system!"
    MYLIBARCH="linux-64"
elif [[  $(getconf LONG_BIT) == "32" ]]; then
    echo "This is a 32-bit system!"
    MYLIBARCH="linux-32"
else
    echo " ERROR! ERROR! ERROR! Cannot determine system type for \"$(file /sbin/init)\""
    exit 1
fi


( cd   ${SIM_BIP2_HOME}/lib/mono/;  ln -sf  ${MYLIBARCH}/lib* . )
( cd ${MULTI_BIP2_HOME}/lib/multi/; ln -sf  ${MYLIBARCH}/lib* . )
( cd ${TS2BIP_ROOT}/exe/scheduler;  rm bin; ln -sf  ${MYLIBARCH} bin )
#( cd ${MEASGANTT_DIR}; javac Generate.java )


# Testing for Kalray software installed if any
ACCORE_VER=$(yum list installed | grep AccessCore.x86_64 | sed -e 's/AccessCore.x86_64[[:space:]]*\(.\..\..\)-.*/\1/g')
if [[ "$ACCORE_VER" == "" ]]; then 
    echo "No configuration will be done for Kalray MPPA platform (not available)."
else
    echo "Kalray AcessCore version $ACCORE_VER found"
    ( cd ${MULTI_BIP2_HOME}/lib/multi/; rm -rf nodeos_kalray; ln -sf nodeos${ACCORE_VER}_kalray nodeos_kalray )
fi

#=========  Print final info and finish ============
echo ""
echo ""
echo " PATHS TO THE TOOLS ARE SET UP VIA: source sourceme.rc"
echo " *****************************************************"
echo ""
echo " Automatic installation script finished successfully."
echo ""
#echo "For some manual installation instructions, see ./installation/README"
cat README

exit 0
